> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a customer



## OpenAPI

````yaml openapi/openapi.json delete /api/customers/{id}
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/customers/{id}:
    delete:
      tags:
        - Customers
      summary: Delete a customer
      operationId: e9f16ac94d63309225711a1f3dfb245a
      parameters:
        - name: id
          in: path
          description: Customer ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Customer deleted successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object
        '404':
          description: Customer not found
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````